Weak Password Recovery Mechanism for Forgotten Password Affecting shopware/shopware Open this link in a new tab package, versions >=5.0.4, <5.7.9


0.0
medium
  • Attack Complexity

    High

  • User Interaction

    Required

  • Confidentiality

    High

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-PHP-SHOPWARESHOPWARE-2805808

  • published

    29 Apr 2022

  • disclosed

    28 Apr 2022

  • credit

    Tina Dreher, Noman Sarwar

How to fix?

Upgrade shopware/shopware to version 5.7.9 or higher.

Overview

shopware/shopware is an open source e-commerce software made in Germany

Affected versions of this package are vulnerable to Weak Password Recovery Mechanism for Forgotten Password by allowing for multiple password reset tokens to be requested and used. This makes it possible for an attacker to take over the victims account if they gain access to the victims email account and find unused password reset token in the emails within the time frame of two hours.